Summary: GNU C++ library shipped with RedHat 6.0
Name: libstdc++
Version: rh60
Release: 2
Group: System Environment/Libraries
Copyright: LGPL
Url: http://egcs.cygnus.com/
Packager: Hao Li <hli@wag.caltech.edu>
Source: %{name}-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
This package includes the brain-damaged libstdc++ and libNoVersion libraries
shipped with RedHat 6.0. It is needed for applications linked against these
brain-damaged libraries, which include the applications in RedHat 6.0 CD 
whose source codes include C++ and some other prebuilt binaries on this
platform (notably, Blackdown and IBM's JDK).

Hao Li's egcs-1.1.2-1.i386.rpm (built on ferrari at Thu Jun 10 00:32:55 1999)
replaced the brain-damaged libstdc++-2-libc6.1-1-2.9.0.so with
libstdc++.so.2.9.0. Hao Li's glibc-2.1.1-7.i386.rpm and 
glibc-devel-2.1.1-7.i386.rpm (built on ferrari at Fri Jun 11 00:26:58 1999)
do not include libNoVersion.so.

Therefore if you choose to install these three very essential RPMs built
by Hao Li instead of the brain-damaged ones that come with RedHat 6.0, but
do not want to break the dependency of some prebuilt binaries, install this
package as well.

This package also includes some even older C++ shared libraries. They are 
exactly the same as those in libg++-2.7.2.8-9.i386.rpm and 
libstdc++-2.8.0-14.i386.rpm from RedHat 5.2 CD. These libraries are needed
by Netscape prebuilt binaries.


%prep
%setup -q -n i386


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib
cp -pr * $RPM_BUILD_ROOT/usr/lib
chmod 0755 $RPM_BUILD_ROOT/usr/lib/*


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
/usr/lib/*


%clean
rm -rf $RPM_BUILD_ROOT

